idesktopx在linux中如何安装部署?

0 投票
在centos版本的linux操作系统中,如何部署SuperMap iDesktopX 10i ,有没有相关的介绍文档
2月 14 分类:  33次浏览 | 用户: gxc123 (3 分)

1个回答

1 投票
您好,您下载的是安装包还是解压包呢?安装包需要先在Linux系统中进行产品的安装,然后安装许可驱动:

support\SuperMap_License\support\aksusbd-2.4.1-i386 目录下进行安装即可。进入上述目录后,通过以下命令即可执行许可驱动的安装:./dinst;如果是解压包可以直接在Linux系统中解压产品包,然后在上述路径中安装许可驱动就可以了
2月 17 用户: 董懿鑫 名扬四海 (3,589 分)
我执行你们文档里面所有的步骤都没问题,就是启动的时候报错,我快疯了。。。
你在执行检查依赖的命令有没有依赖找不到?截图说明一下
我找了glibc2.14的依赖包,安装完了以后又提示要2.17的包,我是centos6.7的,之前在centos7上装成功了,估计就是版本差异,我再搞个2.17的看看
Exception in thread "main" java.lang.UnsatisfiedLinkError: com.supermap.data.EnvironmentNative.jni_GetCurrentCulture()Ljava/lang/String;
    at com.supermap.data.EnvironmentNative.jni_GetCurrentCulture(Native Method)
    at com.supermap.data.Environment.getCurrentCulture(Environment.java:709)
    at com.supermap.data.Environment.<clinit>(Environment.java:53)
    at com.supermap.data.InternalHandle.<clinit>(InternalHandle.java:19)
    at com.supermap.desktop.core.GlobalParameters.<clinit>(SourceFile:1121)
    at com.supermap.desktop.core.Application.initialize(SourceFile:333)
    at com.supermap.desktop.core.Application.initialize(SourceFile:309)
    at com.supermap.desktop.iDesktop.Startup.main(SourceFile:85)
我安装了glibc2.17的依赖包,但是又出现这个问题,你能帮我分析分析吗?
您好,这个错误是由于组件报的错误,
1.请问一下你的系统中有Java环境吗?jdk是哪个版本的
2.桌面软件有许可吗?
3.是否有修改Java桌面的bin文件夹?
如果还是有问题麻烦看一下私信,联系方式我已经发您了。
...